Queries subjects eligible for one Board Item responsibility.
POST
/api/workspace/boards/{boardId}/items/{resourceObjectId}/responsibilities/{responsibilityKey}/eligible-targets/query
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/boards/example/items/example/responsibilities/example/eligible-targets/query"), Content = new StringContent("{ \"Action\": \"example\", \"Search\": \"example\", \"Cursor\": \"example\", \"PageSize\": 1 }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/boards/example/items/example/responsibilities/example/eligible-targets/query';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"Action":"example","Search":"example","Cursor":"example","PageSize":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/boards/example/items/example/responsibilities/example/eligible-targets/query \ --header 'Content-Type: application/json' \ --data '{ "Action": "example", "Search": "example", "Cursor": "example", "PageSize": 1 }'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”boardId
required
string
resourceObjectId
required
string
responsibilityKey
required
string
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Queries subjects eligible for one keyed Board responsibility.
object
Action
string
Search
string
Cursor
string
PageSize
integer format: int32
Examplegenerated
{ "Action": "example", "Search": "example", "Cursor": "example", "PageSize": 1}Queries subjects eligible for one keyed Board responsibility.
object
Action
string
Search
string
Cursor
string
PageSize
integer format: int32
Examplegenerated
{ "Action": "example", "Search": "example", "Cursor": "example", "PageSize": 1}Queries subjects eligible for one keyed Board responsibility.
object
Action
string
Search
string
Cursor
string
PageSize
integer format: int32
Examplegenerated
{ "Action": "example", "Search": "example", "Cursor": "example", "PageSize": 1}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Returns one page of eligible responsibility targets.
object
Items
Array<object>
Describes one eligible responsibility target.
object
SubjectType
string
SubjectId
string
Display
string
Eligible
boolean
ReasonCodes
Array<string>
NextCursor
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}